@import url('global-variables.css');

:root {
  --color-bg: #fff;
  --color-text: #fff;
  --color-text-secondary: #000;
  --color-what-is-title-bg: #1d1283;
  --color-why-description-text: #3d3d3d;
  --color-social-media-links-bg: #fff;
  --color-links: #1d1283;
  --color-events: #e30162;
  --color-button: #87d870;
  --color-button-hover: #6dc66d;
  --color-button-disable: #a59f9f;
}

.dark-theme {
  --color-bg: #1c1b22;
  --color-text: #e1e1ec;
  --color-text-secondary: #e1e1ec;
  --color-what-is-title-bg: #191970;
  --color-why-description-text: #e1e1ec;
  --color-social-media-links-bg: #1c1b22;
  --color-links: #0080ff;
  --color-events: #ff0090;
}

::-webkit-scrollbar {
  width: 0;
}

html,
body {
  background-color: var(--color-bg);
  font-family: 'Nunito', 'Roboto', sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-size: 16px;
  overflow-x: hidden;
  transition: all 0.2s linear;
}

#scroll-to-top-btn {
  position: fixed;
  z-index: 100;
  bottom: -100px;
  right: 20px;
  width: 50px;
  height: 50px;
  background: var(--color-vivid-pink);
  border: none;
  border-radius: 50%;
  outline: none;
  box-shadow: 0 0 10px rgba(var(--color-black-rgb), 0.25);
  cursor: pointer;
  transition: all 0.3s;
}

#scroll-to-top-btn:active {
  background: var(--color-black);
}

.redirection-wrapper {
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
}

.redirection {
  text-align: center;
}

.content-wrapper {
  display: flex;
  margin: 0 25px;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.wrapper {
  margin: 25px;
}

.highlighted-text {
  color: var(--color-vivid-pink);
}

.highlighted-text a {
  color: var(--color-dark-blue);
}

.new-releases {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.welcome-title {
  color: var(--color-text-secondary);
  margin-top: 60px;
  text-align: center;
  font-weight: 700;
}

.logo-img,
.hero-img {
  width: 300px;
  height: 300px;
  display: block;
  margin: 0 auto;
}

.social-media-links {
  text-align: center;
  font-weight: 400;
  font-size: 1.125em;
}

.social-media-links-btn {
  color: var(--color-text-secondary);
  font-size: 16px;
  border: none;
  padding: 0.3rem;
  background-color: var(--color-social-media-links-bg);
  cursor: pointer;
}

.social-media-logo {
  vertical-align: middle;
  width: 35px;
  height: 35px;
  transition: all 0.5s ease-in-out;
}

.social-media-logo:hover {
  transform: scale(1.25);
}

.social-media-link {
  text-decoration: none;
}

.social-media-links > span {
  color: var(--color-events);
  margin: 0 10px;
}

.section-description {
  background: var(--color-what-is-title-bg);
  margin: 0 -25px;
}

.description-title {
  text-align: center;
  font-weight: 700;
  line-height: 130%;
  font-size: 2rem;
  color: var(--color-text);
  padding: 60px 60px 28px;
}

.description-content {
  padding: 0 40px 32px;
  font-weight: 400;
  color: var(--color-text);
  line-height: 175%;
  text-align: justify;
}

.under-dev {
  color: red;
  text-align: center;
}

.desc-join {
  color: var(--color-text-secondary);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.desc-join p {
  font-size: 1rem;
  margin-bottom: 5px;
}

.btn-join {
  width: 200px;
  height: 50px;
  font: normal 700 1.5rem 'Roboto';
  border-radius: 10px;
  border: none;
  line-height: 34px;
  color: var(--color-text);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  background: var(--color-button-disable);
  opacity: 0.6;
  pointer-events: none;
}

.wrapper {
  cursor: not-allowed;
}

.btn-join-disable {
  color: var(--color-red);
}

.btn-join:hover {
  background: var(--color-button-disable);
  cursor: not-allowed;
}

.btn-join > a {
  cursor: not-allowed;
  color: var(--color-text);
}

.section-features {
  margin: 0 -25px;
}

.features-title {
  text-align: center;
  font-weight: 700;
  font-size: 2rem;
  color: var(--color-why-description-text);
  margin: 60px 20px 32px;
  line-height: 150%;
}

.features-content {
  font-weight: 400;
  color: var(--color-why-description-text);
  line-height: 175%;
  text-align: justify;
}

.cards {
  display: grid;
  grid-template-columns: repeat(2, 2fr);
  grid-auto-rows: auto;
  grid-gap: 5rem;
  max-width: 1240px;
  margin: 0 auto;
  padding: 50px;
}

.card,
.modal-card {
  border-radius: 20px;
  padding: 2rem;
  text-align: center;
}

.card {
  border: 2px solid var(--color-grey);
  transition: transform 250ms linear;
}

.card:hover {
  cursor: pointer;
  transform: scale(1.05);
  transition: all 250ms linear;
}

.read-more {
  border-radius: 10px;
  outline: none;
  background: var(--color-light-grey);
  color: var(--color-black);
  border: none;
  padding: 6px 14px;
  cursor: pointer;
  font-size: 1.1rem;
  font-weight: 700;
}

a {
  text-decoration: none;
}

.body-blackout {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: var(--color-black);
  background-color: rgba(0, 0, 0, 0.4);
}

.body-blackout.is-blacked-out {
  display: block;
}

.popup-trigger {
  display: inline-block;
}

.popup-modal {
  height: 90vh;
  border-radius: 20px;
  background-color: var(--color-bg);
  position: fixed;
  display: flex;
  flex-direction: column;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 10px 45px;
  opacity: 0;
  pointer-events: none;
  transition: all 300ms ease-in-out;
  z-index: 1;
  overflow: scroll;
  scrollbar-width: 20;
}

.popup-modal.is--visible {
  opacity: 1;
  pointer-events: auto;
}

.popup-modal__close {
  padding: 2px 2px;
  cursor: pointer;
  color: var(--color-text-secondary);
  border: none;
  background-color: transparent;
  font-size: 3rem;
  font-weight: 900;
  text-align: right;
}

.modal-title-bullet-points {
  font-size: 45px;
  margin: 2px 2px;
  text-align: center;
}

.title-bullet-points {
  margin: 30px 2px;
  text-align: center;
}

.video-holder {
  margin: 175px auto 50px;
  max-width: 600px;
}

.video-holder > .video-text {
  margin: 0 auto 40px;
  font-size: 34px;
  font-weight: 700;
  text-align: center;
  color: var(--color-text-secondary);
}

.video-holder > iframe {
  margin: 0 auto;
  display: block;
  width: 100%;
}

.next-event-header {
  color: var(--color-text-secondary);
  margin-top: 40px;
}

.next-event {
  margin: 20px 10px 10px;
  display: block;
  font-size: 2rem;
  text-align: center;
}

.past-events-header {
  color: var(--color-text-secondary);
  font-size: 18px;
  margin-top: 40px;
  text-align: center;
}

.events-box {
  margin: 0 20px 50px;
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
}

.events-box > * {
  margin: 0 10px;
  padding: 8px;
  text-align: center;
  width: 100%;
  color: var(--color-events);
  text-decoration: none;
}

.events-box a:hover {
  background: var(--color-soft-magenta);
  border-radius: 20px;
}

.info-note {
  color: var(--color-text-secondary);
}

.info-note {
  text-align: center;
  font-weight: 400;
  font-size: 1.2rem;
}

.info-note a {
  color: var(--color-events);
  text-decoration: none;
}

.info-note a:hover {
  color: var(--color-carmine);
}

footer {
  padding: 25px 0;
}

.info-repo {
  color: var(--color-text-secondary);
  margin: 0 auto;
  text-align: center;
}

.info-repo a {
  color: var(--color-links);
  text-decoration: none;
}

.cta-button__container {
  text-align: center;
  margin: 40px 0 20px;
  text-align: right;
}

.cta-button {
  background-color: var(--color-dark-blue);
  border-radius: 5px;
  color: var(--color-light-grey);
  cursor: pointer;
  padding: 16px 40px;
  font-size: 20px;
  white-space: nowrap;
  text-decoration: none;
  box-shadow: 1px 1px 14px -3px rgba(var(--color-black-rgb), 0.42);
}

.cta-button:hover {
  background-color: var(--color-dark-blue);
  transition: background-color 0.2s ease-in;
  outline: var(--color-dark-blue);
}

.member-imgs {
  display: none;
  align-items: center;
  justify-content: center;
  min-height: 26rem;
}

.member-imgs > a {
  display: flex;
  justify-content: center;
}

.member-img {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  position: absolute;
  --x: 0%;
  --y: 0%;
  --s: 1;
  transform: scale(var(--s));
}

.loaders {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 7rem;
  min-height: 26rem;
}

.skeleton-loader {
  position: absolute;
  margin-top: 1.25rem;
  margin-right: 1.25rem;
  padding: 0.625rem;
  overflow: hidden;
  background: var(--color-white);
  height: 120px;
  width: 120px;
  border-radius: 50%;
  box-shadow: 0 10px 10px 0 rgba(var(--color-black-rgb) 0.2),
    0 5px 10px 10px rgba(var(--color-black-rgb), 0.2);
  transition: ease box-shadow 0.3s;
  --x: 0%;
  --y: 0%;
  --s: 1;
  transform: scale(var(--s));
}

.avatar-head {
  position: absolute;
  background: var(--color-dark-grey);
  border-radius: 50%;
  width: 50px;
  height: 50px;
  top: 50%;
  left: 50%;
  margin: -25px 0px 0px -25px;
}

.avatar-body {
  position: absolute;
  background: var(--color-dark-grey);
  margin-top: 49px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 50px;
  width: 100px;
  border-radius: 150px 150px 0 0;
}

.animate {
  animation: shimmer 8s infinite linear;
  background: linear-gradient(to top, var(--color-grey) 34%, #c5c9c9 30%);
  background-size: 100px 100%;
}

@keyframes shimmer {
  0% {
    background-position: 0 1000px;
  }
}

/* Media Queries */

@media (min-width: 420px) {
  .welcome-title {
    font-size: 4rem;
  }

  .logo-img,
  .hero-img {
    width: 400px;
    height: 400px;
  }

  .cta-button {
    font-size: 20px;
  }

  .events-box > * {
    width: auto;
  }

  .events-box span {
    display: inline-block;
  }
}

.highlights li {
  padding: 10px;
}

@media screen and (max-width: 500px) {
  .cta-button__container {
    text-align: center;
  }

  .cta-button {
    max-width: 196px;
    display: inline-block;
    text-align: center;
    padding: 10px 20px;
    font-size: 18px;
  }

  .card {
    padding: 20px 10px;
  }
}

@media screen and (max-width: 800px) {
  .popup-modal {
    height: 75vh;
    overflow: scroll;
  }
}

@media screen and (min-width: 1024px) {
  .description-title {
    font-size: 2.8rem;
    padding: 90px 60px 45px;
  }

  .description-content {
    font-size: 1.25rem;
    padding: 0px 65px 70px;
  }

  .title-bullet-points {
    font-size: 1.75rem;
    margin: 40px 2px;
  }

  .desc-join p {
    font-size: 1.25rem;
  }

  .description-content {
    padding: 0px 250px 90px;
  }

  .features-title {
    font-size: 2.8rem;
    margin-top: 150px;
    margin-bottom: 75px;
  }

  .features-content {
    font-size: 1.25rem;
  }

  .btn-join {
    margin-top: 75px;
    width: 360px;
    height: 80px;
    font: normal 700 2.25rem 'Roboto';
  }
}

@media screen and (max-width: 1240px) {
  .cards {
    grid-template-columns: repeat(1, 2fr);
    max-width: 960px;
    margin: auto;
  }

  .card:hover {
    transform: scale(1);
  }

  .features-content {
    padding: 0px;
  }

  .modal-title-bullet-points {
    font-size: 2rem;
  }
}

/***********************/
/* EMAIL CAPTURE FORM */
/***********************/

.section-cta {
  padding: 40px 250px;
}

.cta {
  display: flex;
  border-radius: 9px;
  align-items: center;
  justify-content: center;
  box-shadow: 0 1.2rem 2.4rem rgba(--color-black-rgb, 0.1);
}

.cta-text-box {
  padding: 3.6rem 4.8rem 4.8rem;
  color: var(--color-links);
}

.cta .heading-secondary {
  font-size: 2.4rem;
  margin-bottom: 1.8rem;
  color: inherit;
}

.cta-text {
  font-size: 1.2rem;
  line-height: 1.8;
  margin-bottom: 2.4rem;
}

.cta-form {
  display: grid;
  grid-template-columns: 60% 30%;
  column-gap: 3.6rem;
  row-gap: 1.2rem;
}

.cta-form label {
  display: block;
  font-size: 1.2rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}

.cta-form input {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.2rem;
  font-family: inherit;
  border: 2px solid var(--color-black);
  border-radius: 9px;
  color: var(--color-dark-grey);
  box-shadow: 0 1px 2px rgba(--color-black-rgb 0.1);
}

.cta-form input:focus {
  outline: 3px solid var(--color-soft-magenta);
}

.btn-cta {
  display: inline-block;
  font-size: 1.2rem;
  font-weight: 600;
  text-transform: uppercase;
  padding: 1.2rem 2.15rem;
  border-radius: 9px;
  border: none;
  cursor: pointer;
  font-family: inherit;
  text-decoration: none;
  align-self: end;

  color: var(--color-white);
  background-color: var(--color-dark-blue);
  transition: all 0.3s;
}

.btn-cta:hover,
.btn-cta:active {
  background-color: var(--color-vivid-pink);
}

.map-title {
  color: var(--color-text-secondary);
  margin: 2em 1em 1em;
  text-align: center;
  font-weight: 700;
  font-size: 2rem;
  line-height: 150%;
}

.map-box {
  height: 300px;
  overflow: hidden;
  border: 3px solid var(--color-events);
  margin: 2% 10%;
}

#map {
  overflow: visible;
  top: 0;
  bottom: 0;
  width: 100%;
}

.marker {
  display: block;
  border-radius: 50%;
  cursor: pointer;
  padding: 0;
  width: 40px;
  height: 40px;
  background-size: 100%;
}

.element-display-remove {
  display: none;
}

/* MEDIA QUERIES */

@media (max-width: 79em) {
  .cta-form input {
    width: 75%;
  }
}

@media (max-width: 60em) {
  .section-cta {
    padding: 0.8rem 1.4rem;
  }

  .cta-form {
    grid-template-columns: 60% 40%;
    column-gap: 1.8rem;
  }
}

@media (max-width: 31em) {
  .section-cta {
    padding: 0.8rem 1.4rem;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .cta-form input {
    width: 83%;
  }
}
